%global srcname tasklib
%global sum Python Task Warrior library

Name:           python-%{srcname}
Version:        1.1.0
Release:        2%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/t/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python3-devel
# Tests
BuildRequires:  python2-tzlocal python3-tzlocal python2-six python3-six pytz python3-pytz
BuildRequires:  task


%description
tasklib is a Python library for interacting with taskwarrior databases, using a
queryset API similar to that of Django’s ORM.

Supports Python 2.6, 2.7, 3.2, 3.3 and 3.4 with taskwarrior 2.1.x and above.
Older versions of taskwarrior are untested and may not work.

%package -n python2-%{srcname}
Summary:        %{sum}
Requires:       task
Requires:       python2-tzlocal python2-six pytz 
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
tasklib is a Python library for interacting with taskwarrior databases, using a
queryset API similar to that of Django’s ORM.

Supports Python 2.6, 2.7, 3.2, 3.3 and 3.4 with taskwarrior 2.1.x and above.
Older versions of taskwarrior are untested and may not work.



%package -n python3-%{srcname}
Summary:        %{sum}
Requires:       task
Requires:       python3-tzlocal  python3-six python3-pytz
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
tasklib is a Python library for interacting with taskwarrior databases, using a
queryset API similar to that of Django’s ORM.

Supports Python 2.6, 2.7, 3.2, 3.3 and 3.4 with taskwarrior 2.1.x and above.
Older versions of taskwarrior are untested and may not work.


%prep
%autosetup -n %{srcname}-%{version}
rm *egg-info -rf

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

# currently broken: https://github.com/robgolding/tasklib/issues/48
# %check
# %{__python2} setup.py test
# %{__python3} setup.py test

%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/*

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/*

%changelog
* Sun Dec 24 2017 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.1.0-2
- Update requires

* Sun Dec 24 2017 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.1.0-1
- Initial build

